{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "base.html" %}
{% block title %}SI53156{% endblock %}
{% block content %}

<h2>SI53156 report</h2>

{% if form.errors %}
<div class="alert alert-danger">
    <ul>
      {% for field, field_error in form.errors.items() %}
      <li>{{form[field].label.text}} - {{"; ".join(field_error)}}</li>
      {% endfor %}
    </ul>
  </div>
{% endif %}

<div class="container">
<form class="form" method="post" role="form">
    {{ form.hidden_tag() }}

    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col" rowspan="2">Device</th>
                <th scope="col" class="text-center" colspan="6">Output enabled?</th>
                <th scope="col" class="text-center" rowspan="2">Set amplitude?<br> (uncheck for default amplitude)</th>
                <th scope="col" rowspan="2">Amplitude</th>
            </tr>
            <tr>
                <th scope="col">0</th>
                <th scope="col">1</th>
                <th scope="col">2</th>
                <th scope="col">3</th>
                <th scope="col">4</th>
                <th scope="col">5</th>
            </tr>
        </thead>
        <tbody>
            {% for name, values in data.items() %}
                {% if "error" in values %}
                    <tr class="table-danger">
                        <td>{{ values['name'] }}</td>
                        <td colspan="8">{{values["error"]}}</td>
                    </tr>
                {% else %}
                    <tr>
                        <td>{{ values['name'] }}</td>
                        {% for id, enabled in values["output_enabled"].items() %}
                        <td>{{ form[name + ".oe{}".format(id)] }}</td>

                        {% endfor %}
                        <td class="text-center">{{ form[name + ".set_amplitude"] }}</td>
                        <td>{{ form[name + ".amplitude"] }}</td>
                    </tr>
                {% endif %}
            {% endfor %}
        </tbody>
    </table>

    <button class="btn-primary btn" type="submit" formaction="/si53156/configure">Update all</button>
</form>
</div>

{% endblock %}